package com.ruoyi.demo.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.demo.entity.Plan;
import com.ruoyi.demo.utils.OnStateUtil;
import lombok.Data;

import java.util.Date;

// 广告计划列表
@Data
public class PlanListVo {
    private String planId;
    private String planName;
    private String goodsImg;
    private String goodsLogo;
    private String principalName;
    private String principalTelephone;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planCreateTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planStartTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planEndTime;
    private String onState;

    public PlanListVo() {
    }

    public PlanListVo(Plan plan) {
        this.planId = plan.getPlanId();
        this.planName = plan.getPlanName();
        this.principalName = plan.getPrincipalName();
        this.principalTelephone = plan.getPrincipalTelephone();
        this.goodsImg = plan.getGoodsImg();
        this.goodsLogo = plan.getGoodsLogo();
        this.planCreateTime = plan.getPlanCreateTime();
        this.planStartTime = plan.getPlanStartTime();
        this.planEndTime = plan.getPlanEndTime();
        this.onState = OnStateUtil.getOnStateChar(plan.getOnState());
    }
}
