package com.ruoyi.demo.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.demo.entity.Plan;
import com.ruoyi.demo.utils.StateUtil;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class PlanManageListVo {
    private String planId;
    private String planName;
    private String appName;
    private String goodsImg;
    private String goodsName;
    private BigDecimal goodsPrice;
    private String commercialName;
    private Integer equipmentCount;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planStartTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planEndTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    private String state;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planCreateTime;

    public PlanManageListVo(){}
    public PlanManageListVo(Plan plan){
        this.planId = plan.getPlanId();
        this.planName = plan.getPlanName();
        this.commercialName = plan.getCommercialName();
        this.appName = plan.getAppName();
        this.goodsImg = plan.getGoodsImg();
        this.goodsName = plan.getGoodsName();
        this.goodsPrice = plan.getGoodsPrice();
        this.planCreateTime = plan.getPlanCreateTime();
        this.planStartTime = plan.getPlanStartTime();
        this.planEndTime = plan.getPlanEndTime();
        this.auditTime = plan.getAuditTime();
        this.state = StateUtil.getStateName(plan.getState());
    }
}
