package com.ruoyi.demo.utils;

import cn.hutool.core.date.DateUtil;
import com.ruoyi.demo.entity.bo.CallBackBean;
import org.springframework.web.client.RestTemplate;

import java.time.LocalDateTime;
import java.util.Map;

public class SendCallBackUtil {
    // 例子
    public static void testCallBack(String callBack){
        CallBackBean callBackBean = new CallBackBean();
        callBackBean.setTitle("这是个测试信息");
        callBackBean.setState("测试");
        callBackBean.setAuditPerson("自动回复");
        callBackBean.setAuditComment("这是个测试信息,请勿回复");
        callBackBean.setAuditTime(DateUtil.date());
        sendCallBack(callBack,callBackBean);
    }

    /***
     * 通知app被禁用
     * @param callBack
     */
    public static void stopAppCallBack(String callBack){
        CallBackBean callBackBean = new CallBackBean();
        callBackBean.setTitle("appkey被禁用");
        callBackBean.setState("通知");
        callBackBean.setAuditPerson("数字招商");
        callBackBean.setAuditComment("您的appkey已被禁用，请及时和管理人员联系");
        callBackBean.setAuditTime(DateUtil.date());
        sendCallBack(callBack,callBackBean);
    }

    // 实际使用
    public static void sendCallBack(String callBack,CallBackBean callBackBean){
        try {
            RestTemplate restTemplate = new RestTemplate();
            restTemplate.postForObject(callBack,callBackBean,String.class);
        }catch (Exception e){
            e.printStackTrace();
        }
    }

    public static String sendCallBack(String callBack, Map<String, Object> map) {
        return new RestTemplate().postForObject(callBack, map, String.class);
    }
}
