package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
@TableName("dl_exposure")
public class Exposure {
    @TableId(value = "exposure_id",type = IdType.ASSIGN_ID)
    private String exposureId;

    @TableField("item_id")
    private String itemId;
    @TableField("exposure_count")
    public Integer exposureCount;
    @TableField("exposure_time")
    public Integer exposureTime;
    @TableField("create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
