package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("dl_plan_push_statistics")
public class PlanPushStatistics {
    @TableId(value = "statistics_id",type = IdType.ASSIGN_ID)
    private String statisticsId;
    @TableField("equipment_id")
    private String equipmentId;
    @TableField("equipment_name")
    private String equipmentName;
    @TableField("equipment_code")
    private String equipmentCode;
    @TableField("carousel_count")
    private Integer carouselCount;
    @TableField("scan_code_count")
    private Integer scanCodeCount;

    @TableField("trade_count")
    private Integer tradeCount;

    @TableField("total_user_count")
    private Integer totalUserCount;
    @TableField("total_price")
    private BigDecimal totalPrice;
    @TableField("laster_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lasterTime;
}
