package com.ruoyi.demo.entity.bo;

import com.ruoyi.common.core.validate.AddGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class OrderAddBo extends StatisticsAddBo {
    @NotBlank(groups = {AddGroup.class},message = "订单编号不能为空")
    private String orderId;
    private String specs;
    private BigDecimal goodsPrice;
    private Integer dealCount;
    private String state;
}
