package com.ruoyi.demo.entity.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.validate.AddGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
public class StatisticsAddBo implements Serializable {
    private static final long serialVersionUID = -736373431471562730L;

    @NotBlank(groups = {AddGroup.class},message = "appkey不能为空")
    private String appkey;
    @NotBlank(groups = {AddGroup.class},message = "设备编号不能为空")
    private String equipmentCode;
    private String goodsId;
    private String goodsName;
    private String vendorId;
    private String vendorName;
    private String userId;
    private String userName;
    private String userTelephone;
    private Date time;
    @NotBlank(groups = {AddGroup.class},message = "签名不能为空")
    private String sign;


}
