package com.ruoyi.job.service;

import cn.hutool.core.date.DateUtil;
import com.ruoyi.demo.service.PlanService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class CheckPlanTimeService {
    @Autowired
    PlanService planService;

    // 每天8点检查一次
    @XxlJob("checkPlanTimeJobHandler")
    public void start(){
        XxlJobHelper.log("start checkPlanTime"+ DateUtil.date());
        planService.checkPlanTime();
        XxlJobHelper.log("finish checkPlanTime"+ DateUtil.date());
    }
}
